const AWSXRay = require('aws-xray-sdk-core')
const AWS = AWSXRay.captureAWS(require('aws-sdk'))
const db = new AWS.DynamoDB.DocumentClient();
const TABLE_NAME = process.env.TABLE_NAME || '';
const PRIMARY_KEY = process.env.TABLE_KEY || '';
exports.handler = async (event = {}) => {
    if (!event.queryStringParameters) {
        console.error("400 invalid request, you are missing the path parameter id")
        return { statusCode: 400, body: `Error: You are missing the path parameter id` };
    }
    const requestedItemId = event.queryStringParameters.id;
    if (!requestedItemId) {
        console.error("400 invalid request, you are missing the path parameter id")
        return { statusCode: 400, body: `Error: You are missing the path parameter id` };
    }
    const params = {
        TableName: TABLE_NAME,
        Key: {
            [PRIMARY_KEY]: requestedItemId
        }
    };
    console.log({
        event: event,
        params: params
    })
    try {
        await db.delete(params).promise();
        return { statusCode: 200, body: '' };
    }
    catch (dbError) {
        console.error("500 "+JSON.stringify(dbError))
        return { statusCode: 500, body: JSON.stringify(dbError) };
    }
};